# Uses of Interface
org.eclipse.emf.compare.postprocessor.IPostProcessor

Packages that use IPostProcessor
Package
Description
org.eclipse.emf.compare.postprocessor
org.eclipse.emf.compare.rcp.internal.postprocessor

## Uses of IPostProcessor in org.eclipse.emf.compare.postprocessor

Methods in org.eclipse.emf.compare.postprocessor that return IPostProcessor
Modifier and Type
Method
Description
`IPostProcessor`
BasicPostProcessorDescriptorImpl.`getPostProcessor()`
Returns the wrapped post processor.
`IPostProcessor`
IPostProcessor.Descriptor.`getPostProcessor()`
Returns the wrapped post processor.
Methods in org.eclipse.emf.compare.postprocessor that return types with arguments of type IPostProcessor
Modifier and Type
Method
Description
`List<IPostProcessor>`
IPostProcessor.Descriptor.Registry.`getPostProcessors(IComparisonScope scope)`
Retrieve the post processors from a given `scope`.
`List<IPostProcessor>`
PostProcessorDescriptorRegistryImpl.`getPostProcessors(IComparisonScope scope)`
Retrieve the post processors from a given `scope`.
Constructors in org.eclipse.emf.compare.postprocessor with parameters of type IPostProcessor
Modifier
Constructor
Description
``
`BasicPostProcessorDescriptorImpl(IPostProcessor postProcessor, Pattern nsURI, Pattern resourceURI)`
Constructs a new descriptor with the given value.

## Uses of IPostProcessor in org.eclipse.emf.compare.rcp.internal.postprocessor

Methods in org.eclipse.emf.compare.rcp.internal.postprocessor that return IPostProcessor
Modifier and Type
Method
Description
`IPostProcessor`
PostProcessorDescriptor.`getPostProcessor()`
Returns the wrapped post processor.
Methods in org.eclipse.emf.compare.rcp.internal.postprocessor that return types with arguments of type IPostProcessor
Modifier and Type
Method
Description
`List<IPostProcessor>`
PostProcessorRegistryImpl.`getPostProcessors(IComparisonScope scope)`
Retrieve the post processors from a given `scope`.